summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rw-r--r--bin/pkgscrpts/build_and_package_hdf5_binaries.sh10
-rw-r--r--bin/pkgscrpts/testbinaries.sh2
-rwxr-xr-xbin/snapshot9
3 files changed, 5 insertions, 16 deletions
diff --git a/bin/pkgscrpts/build_and_package_hdf5_binaries.sh b/bin/pkgscrpts/build_and_package_hdf5_binaries.sh
index 1f6699b..e0bf7f7 100644
--- a/bin/pkgscrpts/build_and_package_hdf5_binaries.sh
+++ b/bin/pkgscrpts/build_and_package_hdf5_binaries.sh
@@ -140,16 +140,6 @@ fi
#(tail -4 $LOGFILE | grep -s "^*** finished .* in $HOSTNAME ***" > /dev/null 2>&1) ||
# (echo "****snaptest launcher FAILED to complete in $HOSTNAME****" >> $FAILEDLOG)
-#CURRENT_DIR=`pwd`
-#cd $HOME/snapshots-bin-${sw}${SWVERSTR}/current
-#pwd
-#SVN_URL=`svn info | grep URL`
-#BRANCHNAME=`echo $SVN_URL | sed -e 's/URL:.*\///' | sed -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
-#REVISION=`svn info | grep Revision`
-#LAST_INFO=`svn info | grep "Last Changed"`
-#TEST_TITLE="$HOSTNAME ${BRANCHNAME}${SWVERSTR}_Daily_Tests_${TODAY}"
-#TITLE="${BRANCHNAME} Tests on $TODAY"
-#cd $CURRENT_DIR
# Check result
if [ -f $FAILEDLOG ]; then
diff --git a/bin/pkgscrpts/testbinaries.sh b/bin/pkgscrpts/testbinaries.sh
index eb6279f..b93c7d9 100644
--- a/bin/pkgscrpts/testbinaries.sh
+++ b/bin/pkgscrpts/testbinaries.sh
@@ -444,7 +444,7 @@ for f in $FILE_LIST ; do
if test -d hdf5-examples ; then
rm -rf hdf5-examples
fi
- svn co https://svn.hdfgroup.uiuc.edu/hdf5-examples/trunk/ hdf5-examples > checkout.log
+ git clone https://git@bitbucket.hdfgroup.org/scm/hdffv/hdf5-examples.git hdf5-examples > checkout.log
CC=$THIS_DIR/$EXTRACTED/bin/h5cc
export CC
diff --git a/bin/snapshot b/bin/snapshot
index 391f402..2bfcfd6 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -317,7 +317,7 @@ ReleaseDir=${ReleaseDir:=${BASEDIR}/${ReleaseDir_default}}
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
HDFREPOS=hdf5
GIT_URL=ssh://git@bitbucket.hdfgroup.org:7999/hdffv/hdf5.git
-GIT_BRANCH=hdf5_1_8
+GIT_BRANCH=hdf5_1_8_18
# Try finding a version of diff that supports the -I option too.
DIFF=diff
@@ -344,11 +344,10 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
# Create fresh clone of $GIT_URL from source repository in $BASEDIR/current
(cd $BASEDIR; rm -rf current
if test -n $GIT_BRANCH; then # checkout the branch
- git clone $GIT_URL -b $GIT_BRANCH
+ git clone $GIT_URL -b $GIT_BRANCH current
else # use the default (develop) version
- git clone $GIT_URL
- fi
- mv $HDFREPOS current ) || exit 1
+ git clone $GIT_URL current
+ fi) || exit 1
fi # Do source checkout